package com.lanren.huhu.partner.constants;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.Map;

/**
 * @author chen
 * @title: Constants
 * @projectName partner
 * @description: TODO
 * @package com.lanren.huhu.partner.constants
 * @date 2019-06-29 17:04
 */
public class Constants {
    public static final String AGENT_REWARD_QUEUE_KEY = "agent_reward_redis_city_key";
    public static final int AGENT_REWARD_TYPE_YEAR_VIP = 710;
    public static final int AGENT_REWARD_TYPE_HALF_YEAR_VIP = 720;
    public static final int AGENT_REWARD_TYPE_SVIP = 730;
    public static final int AGENT_REWARD_TYPE_ORDER_AND_REDPACK = 740;
    public static Map<Integer, Map<Integer, BigDecimal>> AGENT_RATE_MAP = new HashMap<Integer, Map<Integer, BigDecimal>>();
    public static final int AGENT_LEVEL_1 = 1;
    public static final int AGENT_LEVEL_2 = 2;
    public static final int AGENT_LEVEL_3 = 3;
    public static final int AGENT_LEVEL_4 = 4;
    public static final String DATE_FORMAT = "yyyy-MM-dd hh:mm:ss";

    static {
        AGENT_RATE_MAP.put(AGENT_REWARD_TYPE_YEAR_VIP, new HashMap<Integer, BigDecimal>());
        AGENT_RATE_MAP.put(AGENT_REWARD_TYPE_HALF_YEAR_VIP, new HashMap<Integer, BigDecimal>());
        AGENT_RATE_MAP.put(AGENT_REWARD_TYPE_SVIP, new HashMap<Integer, BigDecimal>());
        AGENT_RATE_MAP.put(AGENT_REWARD_TYPE_ORDER_AND_REDPACK, new HashMap<Integer, BigDecimal>());

        AGENT_RATE_MAP.get(AGENT_REWARD_TYPE_YEAR_VIP).put(0, new BigDecimal("0.03333333"));
        AGENT_RATE_MAP.get(AGENT_REWARD_TYPE_YEAR_VIP).put(1, new BigDecimal("0.01388889"));
        AGENT_RATE_MAP.get(AGENT_REWARD_TYPE_YEAR_VIP).put(2, new BigDecimal("0.00833333"));

        AGENT_RATE_MAP.get(AGENT_REWARD_TYPE_HALF_YEAR_VIP).put(0, new BigDecimal("0.03015075"));
        AGENT_RATE_MAP.get(AGENT_REWARD_TYPE_HALF_YEAR_VIP).put(1, new BigDecimal("0.01256281"));
        AGENT_RATE_MAP.get(AGENT_REWARD_TYPE_HALF_YEAR_VIP).put(2, new BigDecimal("0.00753769"));

        AGENT_RATE_MAP.get(AGENT_REWARD_TYPE_SVIP).put(0, new BigDecimal("0.02500000"));
        AGENT_RATE_MAP.get(AGENT_REWARD_TYPE_SVIP).put(1, new BigDecimal("0.01111111"));
        AGENT_RATE_MAP.get(AGENT_REWARD_TYPE_SVIP).put(2, new BigDecimal("0.00555556"));

        AGENT_RATE_MAP.get(AGENT_REWARD_TYPE_ORDER_AND_REDPACK).put(0, new BigDecimal("0.03"));
        AGENT_RATE_MAP.get(AGENT_REWARD_TYPE_ORDER_AND_REDPACK).put(1, new BigDecimal("0.02"));
        AGENT_RATE_MAP.get(AGENT_REWARD_TYPE_ORDER_AND_REDPACK).put(2, new BigDecimal("0.01"));
    }
}
